
<!-- Left navbar-header -->
        <div class="navbar-default sidebar" role="navigation">
            <div class="sidebar-nav navbar-collapse slimscrollsidebar">
                <div class="user-profile">
                    <div class="dropdown user-pro-body">
                        <% if user_signed_in? && current_user.image? %>
                        <div><img src="<%= current_user.image_url %>" alt="user-img" class="img-circle"></div>
                        <% else %>
                        <div><img src="/assets/userImg.png" alt="user-img" class="img-circle"></div>
                        <% end %>
                        <a href="#" class="dropdown-toggle u-dropdown" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false"><%= current_user.email if user_signed_in? %><%= "No Logged In User" if !user_signed_in? %><span class="caret"></span></a>
                        <ul class="dropdown-menu animated flipInY">
                            <li><a href="#"><i class="ti-user"></i> My Profile</a></li>
                            <li><a href="#"><i class="ti-wallet"></i> My Balance</a></li>
                            <li><a href="#"><i class="ti-email"></i> Inbox</a></li>
                            <li role="separator" class="divider"></li>
                            <li><a href="#"><i class="ti-settings"></i> Account Setting</a></li>
                            <li role="separator" class="divider"></li>
                            <li><a href="login.html"><i class="fa fa-power-off"></i> Logout</a></li>
                        </ul>
                    </div>
                </div>
                <ul class="nav" id="side-menu">
                    <li class="sidebar-search hidden-sm hidden-md hidden-lg">
                        <!-- input-group -->
                        <div class="input-group custom-search-form">
                            <input type="text" class="form-control" placeholder="Search...">
                            <span class="input-group-btn">
            <button class="btn btn-default" type="button"> <i class="fa fa-search"></i> </button>
            </span> </div>
                        <!-- /input-group -->
                    </li>
                    <li>
                        
                    </li>
                    <li class="nav-small-cap m-t-10">--- Main Menu</li>
                    
                    <li>
                    <% if user_signed_in? %>
                    <%= link_to ' Edit profile', edit_user_registration_path, :class => "glyphicon glyphicon-edit" %>  <br/>
                    <%= link_to " Logout", destroy_user_session_path, method: :delete, :class => "glyphicon glyphicon-log-out" %>
                    <% else %>
                    <%= link_to "Sign up", new_user_registration_path,  :class => ""  %> <br/>
                    <%= link_to "Login", new_user_session_path, :class => ""  %>
                    <% end %>
                    </li>
                          
                     <% @main_categories = Category.all %>
                    <li> <a href="" class="waves-effect active"><i class="linea-icon linea-basic fa-fw" data-icon="v"></i> <span class="hide-menu"> Category<span class="fa arrow"></span> <span class="label label-rouded label-custom pull-right"> <%= @main_categories.count if !@main_categories.nil? %> </span></span></a>
                           <ul class="nav nav-second-level">
                           <% if @main_categories.nil? %>
                           <% else %>
                                   <% 
                                    @main_categories.each do |category|
                                    %>  
                                        <ul class="nav nav-second-level">
                                            <li> <a href="<%= category_products_path(category)%>">  <%= category.name %> </a> </li>
                                        </ul>
                                    <% end %>
                           <% end %>    
                       </ul>
                    </li>
                    
            </div>
        </div>
        <!-- Left navbar-header end -->

